
Noble Titles Plus - Noble Titles and Styles Customization

# What's this?

This is a rebuilt and expanded version of Zijistark's [Noble Titles](https://www.nexusmods.com/mountandblade2bannerlord/mods/2089) for the Bannerlord v1.1.x. This mod has some little extra features. If you don't know the original mod, please check it first.

# CAUTION

DON'T USE the titles.json from the original mod (also Noble Titles 1.0). It can't work correctly.

# How to Install

As usual, you can manually download and move the folder to the Modules folder or by Vortex (But I prefer Mod Organizer 2). Please don't forget to install [Harmony](https://www.nexusmods.com/mountandblade2bannerlord/mods/2006)

# How to Update

1. Back up your titles.json
2. Delete the current `NObleTItlesPlus` folder
3. Copy the new folder

# How to Uninstall

Just delete the folder. Both deactivating and deleting this mod don't affect your saved data.

# Customization

Please read the original page first.

## (New Feature) Fog of War

This mod is adopted with the fog of war concept that is introduced since Bannerlord v1.1.0. Any unseen NPC's title is hidden unless his/her spouse is already known as default. You can change this setting by editing settings.json in this mod folder.

## How to change the titles

You can change the titles by editting titles.json in this module folder. However, please be careful that this mod introduces a new syntax. Hence you can't use the old JSON used by Noble Titles and Noble Titles 1.0.

I introduced a new placeholder "{NAME}" and "{CLAN}" to enable more complex noble titles and styles as well as to add more complex and longer titles, e.g.:

* "Imperator Caesar {NAME} {CLAN}" -> "Imperator Caesar Galios Comnos"
* "{NAME}, King of Vlandia" -> "Derthert, King of Vlandia"
* "{NAME} Khan" -> "Monchug Khan"
* "Grand Prince {NAME} \"The Terrible\"" -> 'Grand Prince Raganvad "The Terrible"' (NOTE: You need to prefix a backtick to use a double quotation inside the title)

The default titles are as same as the originals. I also prepare my title set. Please see the images.

## How to Apply to Extra Cultures

You can define different titles for each new custom Culture provided by some mods (e.g., Huaxia Kingdom).

Copy one of any faction's title sets and rename its name to the custom faction's ID which can be found in <Culture id="..."> tag from one of its XML files. E.g., if you want to define the noble hierarchy of the Huaxia Kingdom, write its Culture ID "huaxia" (in the case of v2.2.0)

# Notes

* This mod is NOT compatible with [Always Show Titles](https://www.nexusmods.com/mountandblade2bannerlord/mods/5178)
* If you don't like the lore dumping, set the same titles just "{NAME}" to remove titles, or set the same titles.

# If You Encounted a Bug

If the nobles' titles and names are incorrect, please check the log files in "My Document\Mount and Blade II Bannerlord\Logs".

If the game crashed frequently, You must show me the [ButterLib](https://www.nexusmods.com/mountandblade2bannerlord/mods/2018) log or a report created by [Better Exception Window](https://www.nexusmods.com/mountandblade2bannerlord/mods/404). I won't respond to any other less-informative bug reporting.

----------------------------------------

# Modの解説

Noble Titles のリメイク版です. 基本的にはオリジナルのNoble Titleと同じですが, 柔軟性のため本家のものに対し少し機能を追加しています. また, より安全な実装を求めてコードを大幅に変更したので, 仕様が細部で異なります.

このmodは常に各国の貴族たちの名前に称号を付けます. バニラでは君主と領主(クランリーダー)に称号がありますが, 表示される場所は限られています. このmodではログや百科事典など殆どの箇所で称号を表示します. 加えて領主は勢力内部での権勢の序列に応じて称号が変化します. 君主と領主以外の貴族にも称号を付けます. これらの称号は, 所属勢力と性別ごとに自由に設定できます.

# インストール方法

1. 通常通りダウンロードしてモジュールフォルダに配置してください
2. そのままでは称号が英語用なので, Optional Files から追加ファイルをダウンロードし, 中にある titles.json を上記モジュールフォルダ内にある同名のファイルに上書きしてください
3. ランチャーで有効にしてから起動してください

更新する際は titles.json 以外のファイルを一旦消してから新しいファイルを移動してください.

# アンインストール方法

* フォルダを削除するだけでアンインストールできます. キャンペーンモードの途中で消してもセーブデータに影響を与えません

# 互換性

ほとんどのmodと互換性がありますが, 名前を変更するタイプのmodと併用すると問題が発生することがあります. Always Show Titles や  Detailed Character Creation などです. 前者はゲーム本来の称号だけ表示するため, いくつもの称号が要らないというのであれば Always --- を使ったほうがいいと思います.

# 爵位の判定に関する細かい定義

爵位はfief score という独自のスコアで序列づけして決定されます.

1. Nobles: 非クランリーダー・君主の貴族 (このmodで追加された機能)
2. Baron: いずれかの勢力に所属し, スコアが3未満
3. Count: いずれかの勢力に所属し, スコアが下位3分の2で, かつBaronの条件を満たさない
4. Duke: いずれかの勢力に所属し, スコアが上位3分の1で, かつCountの条件を満たさない
5. King: 各国の君主のみ

fierf score は領地の数に基づいて計算されます. 都市3ポイント, 城1ポイントで評価します. タイの場合は名声で順位を決めます.「いずれかの勢力に所属」なので, 傭兵や小規模・独立勢力には爵位が付きません. 臣従するか建国する必要があります.

そんなに大量に称号はいらんという人はすべて同じ名称にすれば問題ありません. ただし既存の称号の表示だけを求めている場合は [Always Show Titles](https://www.nexusmods.com/mountandblade2bannerlord/mods/5178) のほうがおすすめです


# カスタマイズ

本家は接頭語で固定, かつスペースも固定だったので語順も区切りも任意で変えられるようにしました. 名前は {name} で与えられます. また, {clan} でクラン名を与える事もできます. 例えば "{CLAN}{NAME}" にすると名前がアジア風の「姓名」順の表記になります. Huaxia Kingdom と併用するといいでしょう

## (新機能) 戦場の霧

v1.1.0 以降追加された戦場の霧に対応するように, 称号も会うまで表示されないようにしました. 常に表示したい場合は settings.json で設定を変更できます.

## 他勢力の独自称号

バニラにはない, modで追加された国家 (例: Huaxia, Anorit, Tetsojin ~~(最新版には対応してませんが)~~ といったmodで追加されるもの) にも独自に対応できます.

バニラの勢力以外での称号は通常 default で設定したものが適用されますが, 名前を指定すれば新勢力ごとに設定できます. 国家を定義している XML の Culture タグの id 属性を正確に入力すれば適用されます. 例えば Huaxia Kingdom なら "huaxia" になります. なお Huaxia に関しては日本語版ファイルには私の考えた称号を既に設定しています. (唐代の貴族階級を参考にしています)

# デフォルト名称について

本家のデフォルト名称がバニラのと食い違う (Khan が Khagan になり Khan が臣下の称号になっている, バニラと同じ名称のランクが各国がバラバラ) ためわかりにくいと感じたので仕様変更に伴いこちらも私なりに変えました. 称号の最下位をバニラの名称に揃え, 上位の名称は覚えやすさを重視して決めました. ちょっと調べた限りでは日本語では私のブログ以外このmodのオリジナルに言及しているものが皆無だったので日本語ユーザーは誰もオリジナル版 (とv1.0版) を使ってないだろうという想定でオリジナル準拠の日本語版JSONファイルは用意していません. 称号一覧は画像を見てください.

中世盛期くらいの歴史上の用語を参考にしていますが, カルラディアは歴史上存在しないので当然「史実」ではありません.

* 帝国 - 11-12世紀くらいのビザンツ帝国の官爵位を参考にしています
* アセライ - アラビア語にはあんまり語彙がないのでアミールなんとかで適当に決めました
* クーザイト - 少し時代が古いですが記録が多く残ってる突厥帝国を主に参考にしました. 他の時代はペルシャ由来の語彙が多くアセライとかぶりがちなので避けています
* バッタニア - 主にアイルランド風ですが, バニラはスコットランドの語彙が混じってるので下位の名称はスコットランド風です
* ヴランディア - 多少古い表現のある英語です
* スタルジア - 下位はスラヴ語, 上位はスカンディナヴィア風の語彙です
* (Huaxia) - 唐代の爵位風です. デフォルトの「郡王」はその上に皇帝と皇太子しかいない最上位の爵位なのでここだけ最上位にしています.

# バグ報告について

まず "マイドキュメント\Mount and Blade II Bannerlord\Logs" にあるログファイルを確認してください. titles.jsonの書き間違えならここを見れば気づく可能性が高いです. (ただしv.1.0.0時点ではここのメッセージのほとんどが英語のままです.)

上記を確認しても原因がわからず, クラッシュが相変わらず発生する場合は必ずこのmo ButterLib に表示されているエラー内容か Better Exception Window のレポートを提出してください. それ未満の情報しかない不具合報告にはおそらく対処できません.

# 技術的補足

元のプログラムがNPCの名称を一時的とはいえ直接書き換える形で実装されており, なんかのエラーのひょうしに変な名前になったまま戻らない危険の大きいものだったので, 内部処理を根本的に変更しています. キャンペーン中にインストールアンインストールを繰り返してもセーブデータを壊すことはないと思います. プレイ中に表示がおかしくなってもゲームを再起動すればだいたい直ると思います.
